<?php ob_start();?>
<style>
#openFile{
	display:none;
}
</style>
<?php
$title = 'Редактирование главной';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
admin(3);
$_GET['id'] = abs(intval($_GET['id']));
if(empty($_GET['id'])){
	$_GET['id'] = 1;
}
$query = $db->query("SELECT * FROM `carousel` WHERE `id`=".$_GET['id']."");
if($query->num_rows == 0){
	header('location:/');
}
$slide = $query->fetch_assoc();
?>
<div class="container theme-showcase" role="main">
	<div class="jumbotron">
		<h1>Редактирование главной</h1>
		<p>В данном разделе Вы можете изменить карусель и описание к ней на главной, а также дополнительные данные</p>
	</div>
	<ul class="nav nav-pills nav-justified">
		<li role="presentation" <?if($_GET['id'] == 1){?>class="active"<?}?> style="border-radius: 0px;"><a href="/admin/main_edit/1">Слайд 1</a></li>
		<li role="presentation" <?if($_GET['id'] == 2){?>class="active"<?}?> style="border-radius: 0px;"><a href="/admin/main_edit/2">Слайд 2</a></li>
		<li role="presentation" <?if($_GET['id'] == 3){?>class="active"<?}?> style="border-radius: 0px;"><a href="/admin/main_edit/3">Слайд 3</a></li>
	</ul>
	<div class="page-header">
		<h2>Редактирование слайда</h2>
	</div>

	<?
	if(isset($_POST['ok'])){
		$_POST['name'] = input($_POST['name']);
		$_POST['text'] = input($_POST['text']);
		$_POST['link'] = input($_POST['link']);
		$_POST['name_link'] = input($_POST['name_link']);
		if(empty($_POST['name'])){
			showAlertDanger('Введите название');
		}elseif(empty($_POST['text'])){
			showAlertDanger('Введите содержимое!');
		}elseif(empty($_POST['link'])){
			showAlertDanger('Введите ссылку');
		}elseif(empty($_POST['name_link'])){
			showAlertDanger('Введите название ссылки');
		}else{
			if(file_exists($_FILES['file']['tmp_name'])){
				$types = explode(',', 'png,jpg,jpeg,bmp,ico,JPG');
				$upfiletype = substr($_FILES['file']['name'], strrpos($_FILES['file']['name'], ".") + 1);
				if($_FILES['file']['size'] > (1048576 * 5)){
					?>
					<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Размер выгружаемого файла, не должен превышать 5 мб!</div>
					<?
				}elseif(!in_array($upfiletype, $types)){
					?>
					<div class="alert alert-danger" role="alert"><span class="glyphicon glyphicon-remove-sign" aria-hidden="true"></span> Файл такого типа выгружать запрещено!</div>
				<?
				}else{
					$name = md5(time() + time()).'.'.$upfiletype;
					copy($_FILES['file']['tmp_name'], $_SERVER["DOCUMENT_ROOT"].'/files/images/slides/'.$name);
					$db->query("UPDATE `carousel` SET `header`='".$_POST['name']."', `text`='".$_POST['text']."', `image`='".$name."', `link`='".$_POST['link']."', `name_link`='".$_POST['name_link']."' WHERE `id`=".$_GET['id']."");
					showAlertSuccess('Слайд обновлён');
					$slide = $db->query("SELECT * FROM `carousel` WHERE `id`=".$_GET['id']."")->fetch_assoc();
				}
			}else{
				$db->query("UPDATE `carousel` SET `header`='".$_POST['name']."', `text`='".$_POST['text']."', `link`='".$_POST['link']."', `name_link`='".$_POST['name_link']."' WHERE `id`=".$_GET['id']."");
				showAlertSuccess('Слайд обновлён');
				$slide = $db->query("SELECT * FROM `carousel` WHERE `id`=".$_GET['id']."")->fetch_assoc();
			}
		}
	}
	?>


	<div class="row">
		<form action="" method="POST" enctype="multipart/form-data">
			<div class="form-row">
				<div class="form-group">
					<label for="inputName">Заголовок</label>
					<input type="text" class="form-control" placeholder="Введите заголовок слайда" rows="5" name="name" id="inputName" value="<?=output($slide['header'])?>">
				</div>
			</div>
			<div class="form-row">
				<div class="form-group">
					<label for="inputText">Содержимое</label>
					<textarea class="form-control" placeholder="Содержимое" rows="5" name="text" id="inputText"><?=output($slide['text'])?></textarea>
				</div>
			</div>
			<div class="form-row">
				<div class="form-group">
					<label for="inputLink">Ссылка</label>
					<input type="text" class="form-control" placeholder="Введите ссылку, без адреса сайта" rows="5" name="link" id="inputLink" value="<?=output($slide['link'])?>">
				</div>
			</div>
			<div class="form-row">
				<div class="form-group">
					<label for="inputLink">Название ссылки</label>
					<input type="text" class="form-control" placeholder="Введите название ссылки" rows="5" name="name_link" id="inputLink" value="<?=output($slide['name_link'])?>">
				</div>
			</div>
			<input type="file" name="file" id="openFile" accept="image/*,image/jpeg">
			<label for="openFile"><small class="btn btn-default btn-xs"><i class="glyphicon glyphicon-camera"></i> Прикрепить изображение</small></label>    
			<button type="submit" class="btn btn-primary pull-right" name="ok">Обновить слайд</button>
		</form>
	</div>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>